Bug 3421 - [UPDATE REQUEST] mesa-9.2.4-1 + xserver-1.14.5-1
: [UPDATE REQUEST] mesa-9.2.4-1 + xserver-1.14.5-1
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: High critical
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-16 11:39 MSK by Aleksandr Kazantcev
Modified: 2013-12-20 12:38 MSK (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2013-12-16 11:39:28 MSK
Update mesa + xserver
Comment 1 Aleksandr Kazantcev 2013-12-16 13:31:53 MSK
mesa
https://abf.rosalinux.ru/build_lists/1490030
https://abf.rosalinux.ru/build_lists/1490031

x11-server
https://abf.rosalinux.ru/build_lists/1490039
https://abf.rosalinux.ru/build_lists/1490040

Advisory: This update is bugfix and provide some change in mesa:
- build mesa vithout openvg and egl-gallium
- disable old patches in x11-server
- add patches from Fedora to optimus and hotplug

See full changlog for components directly.
Comment 2 Postnikov Dmitry 2013-12-16 13:47:35 MSK
I took the job...
Comment 3 Vladimir Potapov 2013-12-16 17:30:39 MSK
I test two KDE r2 system - notebook with i586 and desktop with x64.
On all system keyboard indicator after update fail, keyboard switch don't work.
**********************
QA Denied
Comment 5 Aleksandr Kazantcev 2013-12-16 18:13:02 MSK
And.. After KDE start i wait some minutes in first time before keyboard switch appear Similar like KDE rewrite own configs...
Comment 6 Aleksandr Kazantcev 2013-12-16 22:58:56 MSK
Try this package:

mesa:
https://abf.rosalinux.ru/build_lists/1490172
https://abf.rosalinux.ru/build_lists/1490173

xserver
https://abf.rosalinux.ru/build_lists/1490186
https://abf.rosalinux.ru/build_lists/1490187

Advisory: This update is bugfix and provide some change in mesa:
- build mesa vithout openvg
- disable old patches in x11-server
- add patches from Fedora to optimus and hotplug

See full changlog for components directly.
Comment 7 Aleksandr Kazantcev 2013-12-16 23:53:03 MSK
Ups...

Wrong container for mesa. This right:

mesa
https://abf.rosalinux.ru/build_lists/1490136
https://abf.rosalinux.ru/build_lists/1490137
Comment 8 Postnikov Dmitry 2013-12-17 03:25:34 MSK
>xserver
>https://abf.rosalinux.ru/build_lists/1490186
>https://abf.rosalinux.ru/build_lists/1490187

>Advisory: This update is bugfix and provide some change in mesa:
>- build mesa vithout openvg
>- disable old patches in x11-server
>- add patches from Fedora to optimus and hotplug

>mesa
>https://abf.rosalinux.ru/build_lists/1490136
>https://abf.rosalinux.ru/build_lists/1490137

We test on 4 computers. (Video card Intel HD 4000, Intel G965, ATI HD4250, ATI HD7770), KDE+Gnome.


All mesa-demos and x11perf tests PASSed.
No regress. 
In KDE keyboard normal swiches.


PS:

On HD7770 with driver radeon without glamor:
================
GL_RENDERER   = Gallium 0.4 on llvmpipe (LLVM 3.3, 256 bits)
GL_VERSION    = 2.1 Mesa 9.2.4
GL_VENDOR     = VMware, Inc.
---------------
libEGL warning: DRI2: failed to authenticate
===============

On HD7770 with driver radeon with glamor:
===============
GL_RENDERER   = Gallium 0.4 on AMD CAPE VERDE
GL_VERSION    = 2.1 Mesa 9.2.4
GL_VENDOR     = X.Org
---------------
EGL_VERSION = 1.4 (Gallium)
EGLUT: failed to choose a config
EGL_VERSION = 1.4 (Gallium)
==============

On HD7770 with driver fglrx:
==============
GL_RENDERER   = AMD Radeon HD 7700 Series
GL_VERSION    = 4.3.12438 Compatibility Profile Context 13.20.5
GL_VENDOR     = ATI Technologies Inc.
--------------
EGL_VERSION = 1.4 (DRI2)
EGLUT: failed to choose a config
libEGL warning: DRI2: failed to authenticate
EGL_VERSION = 1.4 (DRI2)
==============

On Intel HD4000:
==============
GL_RENDERER   = Mesa DRI Intel(R) Ivybridge Mobile 
GL_VERSION    = 3.0 Mesa 9.2.4
GL_VENDOR     = Intel Open Source Technology Center
-------------------
EGL_VERSION = 1.4 (DRI2)
EGLUT: failed to choose a config
libEGL warning: failed to create a pipe screen for i965
=============
Comment 9 Vladimir Potapov 2013-12-17 08:29:20 MSK
+ HD3500 +GF650gtx - OK
Now wake-up is more stable.
Comment 10 Vladimir Potapov 2013-12-17 08:34:15 MSK
mesa-9.2.4-2
x11-server-1.14.5-2
********************************** Advisory ************************
This update is bugfix and provide some change in mesa
********************************* Changelog ************************
- build mesa vithout openvg and egl-gallium
- disable old patches in x11-server
- add patches from Fedora to optimus and hotplug
*********************************************************************
QA Verified
Comment 11 Postnikov Dmitry 2013-12-17 13:59:23 MSK
and on Nvidia Optimus GF620M all work:
===================
GL_RENDERER   = GeForce GT 620M/PCIe/SSE2
GL_VERSION    = 4.3.0 NVIDIA 325.15
GL_VENDOR     = NVIDIA Corporation
==================